Subject: Re: [take25 1/6] kevent: Description.

From: Ulrich Drepper <[email-masked]>
Date: Thu, 23 Nov 2006 11:45:36 -0800

Evgeniy Polyakov wrote:
> Kernel does not put there a new entry, it is only done inside
> kevent_wait(). Entries are put into queue (in any context), where they can be obtained
> from only kevent_wait() or kevent_get_events().

I know this is how it's done now.  But it is not where it has to end. 
IMO we have to get to a solution where new events are posted to the ring 
buffer asynchronously, i.e., without a thread calling kevent_wait.  And 
then you need the extra parameter and verification.  Even if it's today 
not needed we have to future-proof the interface since it cannot be 
changed once in use.

-- 
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖